Error Reported When Upgrading OPSS "ORA-00942: table or view does not exist" (Doc ID 1903821.1)

Last updated on NOVEMBER 03, 2016

Applies to:

Oracle Platform Security for Java - Version 11.1.1.2.0 to 11.1.1.7.0 [Release Oracle11g]
Information in this document applies to any platform.

Symptoms

On : 11.1.1.7.0 version, Java Platform Security

When Executing steps WebCenter patchset 11.1.1.8 per documentation:
Oracle® Fusion Middleware Patching Guide
6.9.2 Running the upgradeOpss WLST Command

Error reported when upgrading OPSS, the following error occurs.

wls:/offline>upgradeOpss(jpsConfig='/u01/oracle/FMW/user_projects/domains/WC_Domain/config/fmwconfig/jps-config.xml',jaznData='/u01/oracle/FMW/oracle_common/modules/oracle.jps_11.1.1/domain_config/system-jazn-data.xml', auditStore='/u01/oracle/FMW/oracle_common/modules/oracle.jps_11.1.1/domain_config/audit-store.xml',jdbcDriver='oracle.jdbc.driver.OracleDriver',url='jdbc:oracle:thin:@dbhost.au.oracle.com:1521:ORCL', user='PROD_OPSS', password='*****', upgradeJseStoreType='true')
{upgradeJseStoreType=true, auditStore=/u01/oracle/FMW/oracle_common/modules/oracle.jps_11.1.1/domain_config/audit-store.xml, password=welcome1, user=PROD_OPSS, url=jdbc:oracle:thin:@dbhost.au.oracle.com:1521:ORCL, jdbcDriver=oracle.jdbc.driver.OracleDriver, jaznData=/u01/oracle/FMW/oracle_common/modules/oracle.jps_11.1.1/domain_config/system-jazn-data.xml, jpsConfig=/u01/oracle/FMW/user_projects/domains/WC_Domain/config/fmwconfig/jps-config.xml}
Starting upgrade of opss configuration and security stores.
INFO: Found persistence provider "org.eclipse.persistence.jpa.PersistenceProvider". OpenJPA will not be used.
INFO: Found persistence provider "org.eclipse.persistence.jpa.PersistenceProvider". OpenJPA will not be used.
Command FAILED, Reason: JPS-10000: There was an internal error in the policy store.
oracle.security.jps.internal.api.common.JpsPolicyStoreLdapNodeCreationException: JPS-10000: There was an internal error in the policy store.
  at oracle.security.jps.internal.common.rdbms.util.JpsDbBootstrapImpl.createJpsPolicyStoreInLdap(JpsDbBootstrapImpl.java:1294)
  at oracle.security.jps.internal.common.rdbms.util.JpsDbBootstrapImpl.createJpsPolicyStoreInLdap(JpsDbBootstrapImpl.java:355)
  at oracle.security.jps.upgrade.tools.DBPolicyStoreUpgrade.upgradeSystemDIT(DBPolicyStoreUpgrade.java:249)
  at oracle.security.jps.upgrade.tools.DBPolicyStoreUpgrade.upgrade(DBPolicyStoreUpgrade.java:171)
  at oracle.security.jps.upgrade.tools.utility.Upgrade.upgrade(Upgrade.java:327)
..
..
Caused by: Exception [EclipseLink-4002] (Eclipse Persistence Services - 2.3.1.v20111018-r10243): org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLSyntaxErrorException: ORA-00942: table or view does not exist

Error Code: 942
Call: INSERT INTO CT_89 (JPS_ATTRS_ID, ATTRVAL, JPS_DN_ENTRYID) VALUES (?, ?, ?)
  bind => [3 parameters bound]
Query: InsertObjectQuery(oracle.security.jps.internal.policystore.rdbms.entity.JpsORCLDISTRIBUTIONVERSION@1e43c16e)
  at org.eclipse.persistence.exceptions.DatabaseException.sqlException(DatabaseException.java:324)
..
..
Caused by: java.sql.SQLSyntaxErrorException: ORA-00942: table or view does not exist
..


Due to this issue, the patchset installation (upgrade) can not be completed.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms